Class | Chef::FileAccessControl
In: | lib/chef/file_access_control.rb lib/chef/file_access_control/windows.rb lib/chef/file_access_control/unix.rb
Parent: | Object

## Chef::FileAccessControl

FileAccessControl objects set the owner, group and mode of `file` to the values specified by a value object, usually a Chef::Resource.

### Methods

modified? new

### Included Modules

FileAccessControl::Windows FileAccessControl::Unix

### Classes and Modules

Module Chef::FileAccessControl::Unix
Module Chef::FileAccessControl::Windows

### Attributes

current_resource | [R] |
file | [R] |
provider | [R] |
resource | [R] |

### Public Class methods

new(current_resource, new_resource, provider)

FileAccessControl objects set the owner, group and mode of `file` to the values specified by `resource`. `file` is completely independent of any file or path attribute on `resource`, so it is possible to set access control settings on a tempfile (for example).

### Arguments:

resource: probably a Chef::Resource::File object (or subclass), but

                this is not required. Must respond to +owner+, +group+,
                and +mode+

file: The file whose access control settings you wish to modify,

                given as a String.

TODO requiring current_resource will break cookbook_file template_file

### Public Instance methods

modified?()

[Validate]